filename     = 'mesh_cellsize_orig.exo';
filename_new = 'mesh_cellsize_matlab.exo';
copyfile(filename,filename_new);


%making new field, named cell_size_new
numvar = 1;
names  = [sprintf('%s','cell_size_new')]';

%read xyz coords
coord  = ncread(filename,'coord');
center = mean(coord);

% arbitrary function to use in scaling
dists     = -coord(:,3)+abs(coord(:,2)-20e3);
scaledist = dists/max(dists); %zero to one
range     = [2000.0 50000.0]; %target range of cell scales, meters
outscale  = scaledist*diff(range)+min(range);

%the below follows the conventions in the existing .exo file

%write new variable name
nccreate(filename_new,'name_nod_var','Dimensions',{'len_string',33,'num_nod_var',numvar},'Datatype','char','Format','Classic');
ncwrite(filename_new,'name_nod_var',names);

%write new variable value
nccreate(filename_new,'vals_nod_var','Dimensions',{'num_nodes',length(dists),'num_nod_var',numvar,'time_step',1},'Datatype','double','Format','Classic');
ncwrite(filename_new,'vals_nod_var',outscale);
ncwrite(filename_new,'time_whole',0.0);
